---
title: TaskAttributionTiming.containerType
slug: Web/API/TaskAttributionTiming/containerType
tags:
  - API
  - Long Tasks API
  - Performance
  - Property
  - Reference
  - TaskAttributionTiming
---
<p>{{SeeCompatTable}}{{APIRef("Long Tasks")}}</p>

<p>The <strong><code>containerType</code></strong> readonly property of the {{domxref("TaskAttributionTiming")}} interface returns the type of frame container, one of <code>iframe</code>, <code>embed</code>, or <code>object</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>containerType</em> = TaskAttributionTiming.containerType;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the container's type, one of <code>iframe</code>, <code>embed</code>, or <code>object</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Long Tasks','#dom-taskattributiontiming-containertype','containerType')}}</td>
   <td>{{Spec2('Long Tasks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.TaskAttributionTiming.containerType")}}</p>
</div>
